import { __module as v } from "./index-regeneratorAsyncIterator2.js";
import { __require as x } from "./index-OverloadYield.js";
import { __require as q } from "./index-regeneratorDefine.js";
var _;
function g() {
  return _ ? v.exports : (_ = 1, (function(a) {
    var h = x(), u = q();
    function s(l, c) {
      function i(p, y, t, e) {
        try {
          var n = l[p](y), o = n.value;
          return o instanceof h ? c.resolve(o.v).then(function(r) {
            i("next", r, t, e);
          }, function(r) {
            i("throw", r, t, e);
          }) : c.resolve(o).then(function(r) {
            n.value = r, t(n);
          }, function(r) {
            return i("throw", r, t, e);
          });
        } catch (r) {
          e(r);
        }
      }
      var f;
      this.next || (u(s.prototype), u(s.prototype, typeof Symbol == "function" && Symbol.asyncIterator || "@asyncIterator", function() {
        return this;
      })), u(this, "_invoke", function(p, y, t) {
        function e() {
          return new c(function(n, o) {
            i(p, t, n, o);
          });
        }
        return f = f ? f.then(e, e) : e();
      }, !0);
    }
    a.exports = s, a.exports.__esModule = !0, a.exports.default = a.exports;
  })(v), v.exports);
}
export {
  g as __require
};
